org.apache.ignite.internal.processors.cache

## Class GridCacheSharedTtlCleanupManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter
  - - org.apache.ignite.internal.processors.cache.GridCacheSharedTtlCleanupManager

All Implemented Interfaces:
  GridCacheSharedManager

    public class GridCacheSharedTtlCleanupManager
    extends GridCacheSharedManagerAdapter

Periodically removes expired entities from caches with `CacheConfiguration.isEagerTtl()` flag set.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`cctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheSharedTtlCleanupManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eagerTtlEnabled()`
`protected void` `onKernalStop0(boolean cancel)`
`void` `register(GridCacheTtlManager mgr)` Register ttl manager of cache for periodical check on expired entries.
`void` `unregister(GridCacheTtlManager mgr)` Unregister ttl manager of cache from periodical check on expired entries.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`context, isStopping, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onReconnected, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheSharedTtlCleanupManager

    public GridCacheSharedTtlCleanupManager()

### Method Detail

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Overrides:
  `onKernalStop0` in class `GridCacheSharedManagerAdapter`
Parameters:
  `cancel` - Cancel flag.

#### register

    public void register(GridCacheTtlManager mgr)

Register ttl manager of cache for periodical check on expired entries.

Parameters:
  `mgr` - ttl manager of cache.

#### unregister

    public void unregister(GridCacheTtlManager mgr)

Unregister ttl manager of cache from periodical check on expired entries.

Parameters:
  `mgr` - ttl manager of cache.

#### eagerTtlEnabled

    public boolean eagerTtlEnabled()

Returns:
  `True` if eager TTL is enabled.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021